Page Summary
-
This document details how to update an existing advertiser using a PATCH request to the specified API endpoint.
-
The update requires specifying the
advertiser.advertiserIdin the path and providing anupdateMaskquery parameter to control which fields are updated. -
The request and response bodies both utilize the Advertiser resource.
-
Successful execution of this request requires the
https://www.googleapis.com/auth/display-videoauthorization scope.
Updates an existing advertiser. Returns the updated advertiser if successful.
HTTP request
PATCH https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiser.advertiserId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiser.advertiserId |
Output only. The unique ID of the advertiser. Assigned by the system. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Advertiser.
Response body
If successful, the response body contains an instance of Advertiser.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.